# Unlock Rows

Use this API request to unlock one or more locked rows. As this request
makes sure that all the mentioned rows are unlocked, it's OK to include
rows that were not locked.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Base Operations",
    "description": "The official SeaTable API Reference (OpenAPI 3.0).",
    "version": "6.2"
  },
  "servers": [
    {
      "url": "https://{server}",
      "variables": {
        "server": {
          "default": "cloud.seatable.io"
        }
      }
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "metrics-enabled": false,
    "proxy-enabled": false
  },
  "tags": [
    {
      "name": "Rows",
      "description": "Fetch and manipulate rows inside a base"
    }
  ],
  "components": {
    "securitySchemes": {
      "BaseTokenAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "This is the [Base-Token](/reference/authentication)."
      }
    },
    "parameters": {
      "base_uuid": {
        "name": "base_uuid",
        "in": "path",
        "schema": {
          "type": "string",
          "pattern": "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}$"
        },
        "required": true,
        "description": "The unique identifier of a base. Sometimes also called dtable_uuid.",
        "example": "5c264e76-0e5a-448a-9f34-580b551364ca"
      }
    },
    "schemas": {
      "row_id": {
        "type": "string",
        "pattern": "^[A-Za-z0-9\\-\\_]{22}$",
        "description": "The id of the row. The id of a row is unique inside a base and is often used to identify one specific row.",
        "example": "Qtf7xPmoRaiFyQPO1aENTj"
      },
      "table_name": {
        "type": "string",
        "description": "The name of the table to perform the operation on. Alternatively, you can use the `table_id` instead of `table_name`. If using `table_id`, ensure that the key in the request body is replaced accordingly.",
        "example": "Table1"
      },
      "table_with_row_ids": {
        "type": "object",
        "properties": {
          "table_name": {
            "$ref": "#/components/schemas/table_name"
          },
          "row_ids": {
            "type": "array",
            "description": "ID of the rows to perform the requested operation.",
            "items": {
              "$ref": "#/components/schemas/row_id"
            }
          }
        },
        "example": {
          "row_ids": [
            "ZrFd2YOXQ0eIYJjPbQPGng",
            "afCU_L5PQLe5AOVwCuGXVw"
          ]
        },
        "required": [
          "table_name",
          "row_ids"
        ]
      }
    }
  },
  "paths": {
    "/api-gateway/api/v2/dtables/{base_uuid}/unlock-rows/": {
      "put": {
        "tags": [
          "Rows"
        ],
        "summary": "Unlock Rows",
        "operationId": "unlockRows",
        "description": "Use this API request to unlock one or more locked rows. As this request\nmakes sure that all the mentioned rows are unlocked, it's OK to include\nrows that were not locked.\n",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/table_with_row_ids"
              }
            }
          }
        },
        "security": [
          {
            "BaseTokenAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/base_uuid"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                },
                "example": {
                  "success": true
                }
              }
            }
          }
        }
      }
    }
  },
  "_id": {
    "buffer": {
      "0": 105,
      "1": 212,
      "2": 220,
      "3": 12,
      "4": 20,
      "5": 34,
      "6": 131,
      "7": 31,
      "8": 141,
      "9": 111,
      "10": 187,
      "11": 150
    }
  }
}
```